FIRST - Bug #3446

NullPointerException on previous from ReviewColumnAssignments
07/11/2008 04:05 AM - Ryan McFall

Status: Resolved Start date: 07/11/2008
Priority: Normal Due date:

Assignee: Ryan McFall % Done: 0%
Category: client Estimated time: 0.00 hour
Target version: client-prototype Spent time: 0.00 hour
Bugzilla-ld: 3446

Description

If we say no to requirement to upload external files, go to ReviewColumnAssignments, and then click previous, a
NullPointerException is thrown with the following stack trace:

at edu.msu.first.dataimport.gui.AssignExternalFiles.setWizardData (AssignExternalFiles. java:494)
at edu.msu.first.dataimport.gui.AssignExternalFiles.&lt;inité&gt; (AssignExternalFiles.java:149)

at edu.msu.first.dataimport.gui.Controller.getPreviousPage (Controller.java:249)

Note that we really shouldn't have gone back to AssignExternalFiles

Related issues:
Is duplicate of FIRST - Bug #3447: NullPointerException on previous from Revi... Resolved 07/11/2008

History

#1 - 11/11/2008 04:10 AM - Ryan McFall

® Bug 3447 has been marked as a duplicate of this bug.

#2 - 05/25/2009 10:49 AM - Ryan McFall
Fixed by checking value of DO_FILE_UPLOAD in Controller.previousPanel and going back to CheckForFileUpload if this value is set to false.

#3 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3446
